Create a new on-call rotationAsk AIpost https://api.firehydrant.io/v1/teams/{team_id}/on_call_schedules/{schedule_id}/rotationsAdd a new rotation to an existing on-call schedulePath Paramsteam_idstringrequiredschedule_idstringrequiredBody ParamsnamestringrequiredThe name of the on-call rotationtime_zonestringrequiredThe timezone of the on-call rotation as a stringdescriptionstring | nullThe description of the on-call rotationslack_user_group_idstring | nullThe Slack Usergroup ID for the on-call rotationenable_slack_channel_notificationsboolean | nullNotify the team's Slack channel when handoffs occurtruefalseprevent_shift_deletionboolean | nullPrevent shifts from being deleted by users and leading to gaps in coverage.truefalsecoverage_gap_notification_intervalstring | nullAn ISO8601 duration string specifying that the team should be notified about gaps in coverage for the upcoming interval. Notifications are sent at 9am daily in the rotation's time zone via email and, if enabled, the team's Slack channel.colorstring | nullA hex color code that will be used to represent the rotation in FireHydrant's UI.membersarray of objects | nullAn ordered list of objects that specify members of the schedule's rotation.membersADD objectstrategyobjectrequiredAn object that specifies how the rotation's on-call shifts should be generated.strategy objectrestrictionsarray of objects | nullA list of objects that restrict the rotation to specific on-call periods.restrictionsADD objectstart_timestring | nullAn ISO8601 time string specifying when the initial rotation should start. This value is only used if the rotation's strategy type is "custom".Response 201Add a new rotation to an existing on-call scheduleUpdated 7 months ago